var formParteModificado=null;
var planoBase=null;
var planoLupa=null;
var accion ="";
var opcionAlta="MANUAL";
var codZona="0";
var codPlanta="0";
var codEdificio="0";
var pulsadoBuscarXLNET = false;

var arrayPlanos = new Array();
var planoFinal = true;

jQuery(function($){
	
	/******************************* PESTAÑAS***************************************/
	$("#editarParte").rup_tabs({
		tabs : [
		        {i18nCaption:$.rup.i18n.app.partes.datosGenerales, layer:"#tabContenidoGeneral"},
		        {i18nCaption:$.rup.i18n.app.partes.tecnicos, url:"../tecnicos/tecnicosDelParte"}
	    ],
	    cache:false,
	    select: function(){
	    	if ($("#editarParte").tabs('option', 'selected')==1){
	    		//Ha pinchado en la pestaña Datos Generales. ReCargar los datos de Ejecucion por si los ha modificado en la pestaña de Técnicos.
	    		$.ajax({
	    			type: "POST",
	    			url: "../partes/obtenerDatosEjecucion",
	    			  data:  { idparte:$("#idparte").val()},
	    			success: function(data){
	    				if(data.ejecutado==1){
	    					$("#idEjecutado").prop('checked', true);
	    				}else{
	    					$("#idEjecutado").prop('checked', false);
	    				}
	    				$("#idTiempoReal").attr('disabled',false);
	    				$("#idTiempoReal").val(data.tiempoReal);
	    				$("#idFechaEj").attr('disabled',false);
	    				$("#idFechaEj").val(data.fechaej);
	    			},
	    			  dataType: "json"
	    			});
	    	}
			}
	});
	


	
	
	//si no tiene actuacion asociada se oculta la parte de Actuacion asociada y maquina asociada
	if ($("#idActuac").val()>0){
		$("#divPreventivoAsociado").show();
	}
	
	$("#divNumAveria").hide();
	$("#botoneraNuevo").hide();

	var ctxPunto ;
	var cPunto ;
	
	var sClase="";
	var sCodigo="";
	var sCodClase="";
	var sCodCodigo="";
	var pos;

	$("#feedbackMensajesNuevo").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});

	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificios/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 455,
		blank: "",
		//seleccionar en el combo de edificios el edificio asociado al parte para que se pueda recargar Zona y Planta
		selected: accion != "NUEVO"?$("#idEdificio").val():"",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idEdificio").val($("#comboEdificios").rup_combo("value"));
			//Si cambia la zona vaciar, si existe, el mapa descargado.
			vaciarMapa();
			
		},
		style : "dropdown"	,
		onLoadSuccess: function(){
			//recoger las situación de partida del parte para controlar cambios
			formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");
		}
	});
	
	$("#comboZonas").rup_combo({
		parent: [ "comboEdificios"],
		source: "../partes/zonasEdif/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "zona", value:"idzona"},
		//selected: "0",
		orderedByValue: true,
		ordered: false,
		select : function() { 
			$("#idZona").val($("#comboZonas").val());
			//Si cambia la zona vaciar, si existe, el mapa descargado.
			vaciarMapa();
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});
	
	$("#comboPlantas").rup_combo({
		parent: [ "comboZonas", "comboEdificios"],
		source: "../partes/plantasZona/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo() + "planta", value:"idplanta"},
		//selected: "0",
		ordered: false,
		select : function() { 
			$("#idPlanta").val($("#comboPlantas").val());
			//Si cambia la zona vaciar, si existe, el mapa descargado.
			vaciarMapa();
		},
		width: 200,
		blank: "",
		style : "dropdown"										
	});
	
	accion = document.nuevoParteForm.accion.value;	
	if (accion == "NUEVO") {
		$("#divNuevoParte").show();

		jQuery('input:radio[name="rbLocalizacion"]').filter('[value="0"]').attr('checked', 'checked');

		//OCULTAR EL TAB DE TECNICOS. SE MOSTRARÁ CUANDO SE GUARDE EL PARTE
		$("#editarParte").rup_tabs("disableTabs",{
			idTab: "editarParte",
			position: 1
			});
		
		//**********************************Crear lo combos y ocultar los inputs
		$("#datosPersmanualspan").hide();
		$("#datosPersxlnetspan").show();
		$("#locAveriamanualspan").show();
		$("#locAveriaxlnetspan").hide();
		//$("#divOtroSitio").show();
		//$("#divPuesto").hide();
		$("#divOtroSitio").hide();
		$("#divPuesto").show();
		$("#imgBuscarEspacio").hide();
		
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentosAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 319,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar").val($("#comboDepartamentos").rup_combo("value"));
			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direcciones/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 319,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddireccion").val($("#comboDirecciones").rup_combo("value"));
			},
			style : "dropdown"										
		});
		
		$('#canvaPunto').on('mouseup', function(e){
			var pos = getMousePos(this, e);
		    pintarX(pos.x,pos.y);
		});

		$("#adjuntarPDF").show();
	
	}else{
		
		$("#divNuevoParte").hide();
		$("#divNumParte").show();
		$("#divParteFin").show();
		
		$("#datosPersmanualspan").show();
		$("#datosPersxlnetspan").hide();
		$("#locAveriamanualspan").hide();
		$("#locAveriaxlnetspan").show();
		$("#divOtroSitio").hide();
		$("#divPuesto").show();

		$("#idNombre").attr('disabled','disabled');
		$("#txtDpto").attr('disabled','disabled');
		$("#txtDireccion").attr('disabled','abled');
		$("#txtEdificio").attr('disabled','disabled');
		$("#idTelefono").attr('disabled','disabled');
		$("#idEmail").attr('disabled','disabled');
		$("#vip").attr('disabled','disabled');
		$("#urgente").attr('disabled','disabled');
		//$("#idDescripcion").attr('disabled','disabled');
		//$("#idDescripcion").css('background-color','#fffeda');
		
		
		if ($.rup_utils.capitalizedLang() =="Es") {	
			//$("#comboClasesActivo_label").val($("#idCClase").val());
			//$("#comboActivos_label").val($("#idCCodigo").val());
			$("#claseActivo").val($("#idCClase").val());
			$("#activo").val($("#idCCodigo").val());
			
		}else{
			//$("#comboClasesActivo_label").val($("#idEClase").val());
			//$("#comboActivos_label").val($("#idECodigo").val());
			$("#claseActivo").val($("#idEClase").val());
			$("#activo").val($("#idECodigo").val());
			
		}
		
		$("#imgBuscarEspacio").hide();

		//Si el usuario que accede no es adiministrado se oculta el botón de nuevo
		if ($("#usuarioEsAdministrador").val()!="true"){
			$("#vip").attr('disabled','disabled');	
		}
		
		obtenerPlano();
		
		//Se deshabilita el marco del plano
		$('#canvaPunto').on('mouseup', function(e){});

		$("#divCanvas").attr('disabled','disabled');
		
		// Si el parte es repetido. No se permiten modificar datos. Solo se puede modificar el padre
		if($("#idAveriaRepe").val()>0 || $("#ventanaOrigen").val()=="EjecFecha" || $("#ventanaOrigen").val()=="EjecTecnico"){
			modoConsulta();
		}
		
		codPlanta=$("#idPlanta").val();
		codZona=$("#idZona").val();
		
		
		$("#adjuntarPDF").hide();
		if($("#tienePDF").val() == "si"){
			
			//Mostramos el botón para poder descargarse el pdf
			$("#descargarPDF").show();
			var urldesc = "../partes/getDocumentoPDF?idParte="+$("#idparte").val();
			$('a#btn_descargarPdf').attr({target: '_blank',href  : urldesc});
			/*$("#descargarPdf").attr("onClick",function(){
				descargarPDFadjunto();
			});*/
		}else{
			$("#descargarPDF").hide();
		}
	}
	
	/*************************************************************************/
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", validar);
	$("#bt_nuevo").bind("click", nuevo);
	$("#bt_salir").bind("click", salir);
	$("#bt_imprimir").bind("click", imprimir);
	$("#bt_Volver").bind("click", comprobarVolver);
	$("#botonBuscarUsuario").unbind("click");
	$("#botonBuscarUsuario").bind("click", obtenerDatosUsuarioIntroducido);
	

	
	$("#divContenido").show();
	$("#dialogoEspera").hide();
	$("#idUsuarioIntroducido").hide();
	$("#botonBuscarUsuario").hide();
	
	/***************************************************************************/
	/********************   TOOLTIPS *******************************************/
	/***************************************************************************/
	
	$("#imgBuscarClases").rup_tooltip({
		content: {
		text: $.rup.i18n.app.nuevo.seleccionarAveria
		}
	});

	
	/***************************************************************************/
	/********************   PLANOS - *******************************************/
	/***************************************************************************/

	//Si estamos en el plano final, cuando haga click pintaremos un punto rojo
	//Si no es un plano final, cogeremos la coordernada en la que ha hecho clik y comprobaremos si es una zona que tiene que abrir el plano hijo
	$('#canvaPlano1').on('mouseup', function(e){
		var pos = getMousePos(this, e);
		if (planoFinal==true){
			pintarX(pos.x,pos.y);
			
		}else if (planoFinal==false){
			//recorremos el array de coordenada para ver si ha pinchado en una zona alrededor de un punto rojo (+-15) 
			jQuery.each( arrayPlanos, function( i, val ) {
				if ((parseInt(arrayPlanos[i].coordX) - 15)<(parseInt(pos.x)) && (parseInt(arrayPlanos[i].coordX) + 15)>(parseInt(pos.x)) && 
						(parseInt(arrayPlanos[i].coordY) - 15)<(parseInt(pos.y)) && (parseInt(arrayPlanos[i].coordY) + 15)>(parseInt(pos.y))		
				) {
					//Cargar el plano hijo
					cargarCanvasLupaIDPlano(arrayPlanos[i].idplano);
					 planoFinal=true;
				}
			});
		}
	});
	

	//recoger las situación de partida del parte para controlar cambios
	formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");
});

function vaciarMapa(){
	//Ocultar el mapa y vaciar el campo que guarda el mapa
	var canvas = $('#canvaPunto')[0]; 
	canvas.width = canvas.width;
	$("#planoMarca").val("");

}
function getMousePos(canvas, evt) {
    var rect = canvas.getBoundingClientRect();
    return {
        x: evt.clientX - rect.left,
        y: evt.clientY - rect.top
    };
}



function modoConsulta(){
	//No se permiten modificar datos porque es un parte repetido. Solo se puede modificar el padre
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	$("#imgBuscarEspacio").attr("onclick", false);
	$("#imgBuscarClases").attr("onclick", false);
	$("#imgBuscar").attr("onclick", false);

	$('#bt_guardar').hide();
	
}
function comprobarVolver(){
	
	if (formParteModificado!=$("#nuevoParteForm").rup_form("formSerialize")){
	 	$.rup_messages("msgConfirm", { 
	 		message: "No ha guardado los cambios. ¿Desea salir sin guardar?",
	 		OKFunction:function(){
	 			volver();
	 		}, 
	 		CANCELFunction: function(){
	 		}
	 	});
	}else{
		volver();
	}
}

function volver(){

		if ($("#ventanaOrigen").val()=="Ficha"){
			 //el origen ha sido una ficha. Volver a la ficha origen.
			 editarFichasForm.idEditarFicha.value = $("#ficha").val();
			 editarFichasForm.submit();
			$("#editarFichasForm").submit();
		}else if ($("#ventanaOrigen").val()=="PlanificacionGeneral"){
				window.location = "/aa20bMaqPartesWar/maquinas/planGeneralVolver";	
		}else if ($("#ventanaOrigen").val()=="MantPartes"){
			window.location = "/aa20bMaqPartesWar/partes/maintVolver";	
		}else if ($("#ventanaOrigen").val()=="PartesCorr"){
			window.location = "/aa20bMaqPartesWar/partes/listadoPartesCorrVolver";	
		}else if ($("#ventanaOrigen").val()=="EjecTecnico"){
			window.location = "/aa20bMaqPartesWar/partes/listadoEjecTecnicoVolver";	
		}else if ($("#ventanaOrigen").val()=="EjecFecha"){
			window.location = "/aa20bMaqPartesWar/partes/listadoEjecFechaEjVolver";	
		}else if ($("#ventanaOrigen").val()=="CorrPendAsignar"){
			window.location = "/aa20bMaqPartesWar/partes/corrPendAsignarVolver";	
		}else if ($("#ventanaOrigen").val()=="CorrPendAutomatico"){
			window.location = "/aa20bMaqPartesWar/partes/corrAutVolver";	
		}else if ($("#ventanaOrigen").val()=="CorrPendManual"){
			window.location = "/aa20bMaqPartesWar/partes/corrManVolver";
		}else if ($("#ventanaOrigen").val()=="Agenda"){
			window.location = "/aa20bMaqPartesWar/agenda/inicioAgenda?fechaAgenda="+$("#fechaAgendaStr").val();
		}else{
			history.back();	
		}

	
}

function mostrarDatosXLNET(valorOpcion){
	if (valorOpcion==1){
		//Obtener datos de XLNET
		$("#idUsuarioIntroducido").show();
		$("#botonBuscarUsuario").show();
		//Ocultar combos y mostrar inputs
		
		$("#datosPersmanualspan").show();
		$("#datosPersxlnetspan").hide();
		$("#locAveriamanualspan").hide();
		$("#locAveriaxlnetspan").show();
		$("#divOtroSitio").hide();
		$("#divPuesto").show();
		opcionAlta="XLNET";
		pulsadoBuscarXLNET=true;

	}else if (valorOpcion==0){
		//Entrada de datos manual
		$("#idUsuarioIntroducido").hide();
		$("#botonBuscarUsuario").hide();
		//Si ya ha buscado los datos en XLNET (boton de Buscar), al volver a pinchar en datos manuales no se activan los combos de departamento y direccion
		if (pulsadoBuscarXLNET==true){
			$("#datosPersmanualspan").show();
			$("#datosPersxlnetspan").hide();
			$('input:radio[name=rbLocalizacion]:nth(1)').attr('checked',true);
			mostrarLocalizacion(1);
		}else{
			$("#datosPersmanualspan").hide();
			$("#datosPersxlnetspan").show();
		}
		//Ocultar inputs y mostrar combos
		$("#locAveriamanualspan").show();
		$("#locAveriaxlnetspan").hide();
		$("#divOtroSitio").show();
		$("#divPuesto").hide();
		opcionAlta="MANUAL";
		//mostrarLocalizacion(0);
	}
}

function validar(){
	
	//alert ("combo zonas : " + $("#comboZonas").val() + " - comboplantas " + $("#comboPlantas").val() );
	//Si está marcado otraZonaPlanta la Planta no puede seleccionar Sin Plantas
	if($("input[name='rbLocalizacion']:checked").val()=="1" && $("#comboPlantas").val()=="0"){
		$.rup_messages("msgAlert", { 
 			title: $.rup.i18n.app.comun.control,
	 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
	 	});
		return;
	}
	
	
	//Si es Usuario de XLNET y Puesto de Trabajo. Controlar que planta no sea sin planta
	if( opcionAlta=="XLNET" && $("input[name='rbLocalizacion']:checked").val()=="0" && $("#idPlanta").val()=="0"){
		$.rup_messages("msgAlert", { 
 			title: $.rup.i18n.app.comun.control,
	 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
	 	});
		return;
	}

	//Si es Usuario de XLNET y Puesto de Trabajo. Controlar que planta no sea sin planta
	if( opcionAlta=="MANUAL" && $("input[name='rbLocalizacion']:checked").val()=="0" && $("#comboPlantas").val()=="0"){
		$.rup_messages("msgAlert", { 
 			title: $.rup.i18n.app.comun.control,
	 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
	 	});
		return;
	}

	// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
	
	var formatosValidos = "pdf";
	var documento = $("#btn_descargarPdf").val();
	if(documento == ""){
		valido = true;
	}else{
		var punto = documento.lastIndexOf('.');
		punto++;
		documento=documento.substring(punto, documento.length);
		documento=documento.toLowerCase();
		for (i=0;i<formatos.length;i++){
			if(documento==formatos[i]){
				valido=true;
				break;
			}
		}
	}	
	
	if(!valido){
		$.rup_messages("msgAlert", { 
 			title: $.rup.i18n.app.comun.control,
	 		message: $.rup.i18n.app.nuevo.plantaNoSinPlanta
	 	});
		return;
	}
	
	//Hay que habilitar los campos para que lleguen al controller
	$("#idNombre").attr('disabled',false);
	$("#iddepar").attr('disabled',false);
	$("#idDireccion").attr('disabled',false);
	$("#idEdificio").attr('disabled',false);
	$("#idTelefono").attr('disabled',false);
	$("#idEmail").attr('disabled',false);
	$("#idDescripcion").attr('disabled',false);
	$("#urgente").attr('disabled', false);
	$("#vip").attr('disabled',false);
	
	if (accion == "NUEVO") {

		//Pintar el texto y el código del espacio seleccionado
		$("#idCEspacio").val($("#textoEspacio").val());
		$("#idEEspacio").val($("#textoEspacio").val());
		
		//Si está marcado el radiobutton de Manual y no se han traido datos de XLNET (no se ha pulsado Buscar) Se trata de una alta Manual
		if (opcionAlta=="MANUAL" && pulsadoBuscarXLNET!=true){
			urlAlta="../partes/altaManual";
		}else if(opcionAlta=="XLNET" || (opcionAlta=="MANUAL" && pulsadoBuscarXLNET==true)){
			//Esta el radiobutton "Usuario XLNET" marcado o bien está marcado el de "Manual" se ha tradido los datos de XLNET
			//Esto significa que el dato de departamento y direccion vienen de XLNET si se tienen que relacionar con el campo CIDEPAR de la tabla Departamentos y CIDIR de la tabla Direcciones 
			urlAlta="../partes/alta";
		}
		var propertiesAlta={
				url:urlAlta,
				feedback:$("#feedbackMensajesNuevo"),
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				dataType: "json",
				 error: function() {
					 	$("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 	$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				 },
				 success: function(data2){
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 	if (data2.errorParte=="Parte duplicado"){
					 		var datosHtml="<p>" + $.rup.i18n.app.nuevo.averiaDuplicada + ":</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.idparte + ": " + data2.idparte+ "</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.fechare + ": " + data2.fechare+ "</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.nombre + ": " + data2.nombre+ "</p><p>- " + $.rup.i18n.app.nuevo.edificio + ": " + data2.edificio.cedificio+ "</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.zona + ": " + data2.zona.czona +"</p><p>- " + $.rup.i18n.app.nuevo.planta + ": " + data2.planta.cplanta +"</p><p>- " + $.rup.i18n.app.nuevo.espacio + ": " + data2.espacio.cespacio +"</p><p>- " + $.rup.i18n.app.nuevo.clase + ": " + data2.clase.cclase +"</p>";
					 		datosHtml= datosHtml + "<p>- " + $.rup.i18n.app.nuevo.codigo + ": " + data2.codigo.ccodigo +"</p><p>- " + $.rup.i18n.app.nuevo.observ + ": " + data2.observ +"</p>";
						 	$("#feedbackMensajesNuevo").rup_feedback("set", datosHtml, "alert");
						 	
						 	$.rup_messages("msgConfirm", { 
						 		message: "Posible parte duplicado. Si no tiene relación con el indicado pulse Aceptar. En caso de ser el mismo pulse Cancelar y se asociará su petición a la existente",
						 		OKFunction:agregarParte, //Agregar nuevo parte independiente
						 		CANCELFunction: function(){
						 			$("#idAveriaRepe").val(data2.idparte);
						 			duplicarParte(); //Agregar parte duplicado
						 		}
						 	});
					 	}else{
							 //$("#divNumAveria").show();
							 //$("#idRtdoNumAveria").text(data2.idparte);
							 $("#idparte").val(data2.idparte);
								//MOSTRAR EL TAB DE TECNICOS. SE MOSTRARÁ CUANDO SE GUARDE EL PARTE
								$("#editarParte").rup_tabs("enableTabs",{
									idTab: "editarParte",
									position: 1
									});
							 $("#botoneraNuevo").show();
							 $("#botoneraGuardar").hide();
								bloquearCampos();
								
							//recoger las situación de partida del parte para controlar cambios
							formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");

					 	};
				 },
				 validate: {
					 rules: {
						 	"nombre":{required:true},
							"mail":{required:true},
							"telefo":{required:true,digits:true},
							"idplanta":{required:true},
							"idzona":{required:true},
							"idclase":{required:true},
							"claseActivo":{required:true}, 
							"activo":{required:true}, 
							"idcodigo":{required:true},
							//"comboDepartamentos":{required:true},
							"comboDepartamentos":{required:function(){
								//Es obligatorio si ha seleccionado opción manual. Si ha pulsado en Manual pero previamente ha buscardo los datos en XLNET no será obligatorio porque se mantendrán los datos obtenidos de XLNET
								if (opcionAlta=="MANUAL" && pulsadoBuscarXLNET==false){
									return true;
								}else{
									return false;
								}
								//return opcionAlta=="MANUAL";
							}},
							"comboDirecciones":{required:function(){
								if (opcionAlta=="MANUAL" && pulsadoBuscarXLNET==false){
									return true;
								}else{
									return false;
								}
								//return opcionAlta=="MANUAL";
							}},
							"comboEdificios":{required:function(){
								return opcionAlta=="MANUAL";
							}},
							"comboZonas":{required:function(){
								if (opcionAlta=="MANUAL"){
									return true;
								}else{
									if($("input[name='rbLocalizacion']:checked").val()=="1"){
										return true;
									}else{
										return false;	
									}
								}
							}},
							"comboPlantas":{required:function(){
								if (opcionAlta=="MANUAL"){
									return true;
								}else{
									if($("input[name='rbLocalizacion']:checked").val()=="1"){
										return true;
									}else{
										return false;	
									}
								}
							}}
					 }
				 }
				};
				$("#nuevoParteForm").rup_form(propertiesAlta);
				$("#nuevoParteForm").submit();
	
	/**************************  SI ACCION ES MODIFICAR **************************/
	}else{
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		var valorPuestoZona=$("input[name='rbLocalizacion']:checked").val();
		if( valorPuestoZona=="1" ) {
			var properties={
					url:"../partes/modificar",
					feedback:$("#feedbackMensajesNuevo"),
					 error: function() {
						 	$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
					 },
					 success: function(data3){
								 $("#botoneraGuardar").show();
						 		$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 		//recoger las situación de partida del parte para controlar cambios
						 		formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");

					 },
					 validate: {
						 rules: {
							 	"nombre":{required:true},
								//"mail":{email:true},
								"telefo":{required:true,digits:true},
								"idclase":{required:true},
								"idcodigo":{required:true},
								"comboDepartamentos":{required:true},
								"comboDirecciones":{required:true},
								"comboZonas":{required:true},
								"comboPlantas":{required:true}
						 }
					 }
					};
		}else{
			var properties={
					url:"../partes/modificar",
					feedback:$("#feedbackMensajesNuevo"),
					 beforeSend : function(data) {
							//Mostrar div de sincronizando
						  $("#dialogoGuardar").rup_dialog(
									{
										type : $.rup.dialog.DIV,
										height : 200,
										width : 500,
										modal : true,
										showLoading : true,
										autoOpen : false,
										title : $.rup.i18n.app.mensajesEdificios.guardando
									});
							$("#dialogoGuardar").rup_dialog("open");
					  },
					 error: function() {
						 $("#dialogoGuardar").rup_dialog("close");
						 $("#dialogoGuardar").rup_dialog("destroy");
						 	$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
					 },
					 success: function(data3){
						 $("#dialogoGuardar").rup_dialog("close");
						 $("#dialogoGuardar").rup_dialog("destroy");
						 
								 $("#botoneraGuardar").show();
						 		$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 		$("#urgente").attr('disabled', true);
						 		$("#vip").attr('disabled',true);
						 		//recoger las situación de partida del parte para controlar cambios
						 		formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");
						 		
					 },
					 validate: {
						 rules: {
							 	"nombre":{required:true},
								//"mail":{email:true},
								"telefo":{required:true,digits:true},
								"idclase":{required:true},
								"idcodigo":{required:true},
								"comboDepartamentos":{required:true},
								"comboDirecciones":{required:true}
						 }
					 }
					};	
		}
		
		$("#nuevoParteForm").rup_form(properties);
		$("#nuevoParteForm").submit();
	}
}

function bloquearCampos(){
	$("#comboDepartamentos").rup_combo("disable");
	$("#comboDirecciones").rup_combo("disable");
	$("#comboEdificios").rup_combo("disable");
	$("#comboZonas").rup_combo("disable");
	$("#comboPlantas").rup_combo("disable");
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	$("#imgBuscarEspacio").prop("onclick", false);
	$("#imgBuscarClases").prop("onclick", false);
	$("#imgBuscar").prop("onclick", false);
	
	//Descarga PDF
	$("#adjuntarPDF").hide();
	if($("#pdfAdjunto").val() != ""){
		$("#descargarPDF").show();
		var urldesc = "../partes/getDocumentoPDF?idParte="+$("#idparte").val();
		$('a#btn_descargarPdf').attr({target: '_blank',href  : urldesc});
	}else{
		$("#descargarPDF").hide();
	}
}


function getMousePos(canvas, evt) {
    var rect = canvas.getBoundingClientRect();
    return {
        x: evt.clientX - rect.left,
        y: evt.clientY - rect.top
    };
}
function nuevo(){
	location.href="/aa20bMaqPartesWar/partes/editarPartes";		
}
function salir(){
	if($("#usuarioEsTecnico").val() == "true"){
		location.href="/aa20bMaqPartesWar/inicio";
	}else{
		location.href="/aa20bMaqPartesWar/partes/maint";
	}	
}
function imprimir(){
	window.print();
	/*
	var ficha = document.getElementById("divContenido");
	  var ventimp = window.open(' ', 'popimpr');
	  ventimp.document.write( ficha.innerHTML );
	  ventimp.document.close();
	  ventimp.print( );
	  ventimp.close();
	*/
}

function agregarParte(){
	//Si está marcado el radiobutton de Manual y no se han traido datos de XLNET (no se ha pulsado Buscar) Se trata de una alta Manual
	if (opcionAlta=="MANUAL" && pulsadoBuscarXLNET!=true){
		urlAlta="../partes/agregarParteManual";
	}else if(opcionAlta=="XLNET" || (opcionAlta=="MANUAL" && pulsadoBuscarXLNET==true)){
		//Esta el radiobutton "Usuario XLNET" marcado o bien está marcado el de "Manual" se ha tradido los datos de XLNET
		//Esto significa que el dato de departamento y direccion vienen de XLNET si se tienen que relacionar con el campo CIDEPAR de la tabla Departamentos y CIDIR de la tabla Direcciones 
		urlAlta="../partes/agregarParte";
	}
	var properties={
			url:urlAlta,
			feedback:$("#feedbackMensajesNuevo"),
			useJsonIfPossible: true,
			dataType:"json",
			beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $("#dialogoGuardar").rup_dialog(
						{
							type : $.rup.dialog.DIV,
							height : 200,
							width : 500,
							modal : true,
							showLoading : true,
							autoOpen : false,
							title : $.rup.i18n.app.mensajesEdificios.guardando
						});
				$("#dialogoGuardar").rup_dialog("open");
		  },
			error: function() {
				$("#dialogoGuardar").rup_dialog("close");
				$("#dialogoGuardar").rup_dialog("destroy");
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				},
			success: function(data){		
				$("#dialogoGuardar").rup_dialog("close");
				$("#dialogoGuardar").rup_dialog("destroy");
					if (data.idparte!=null) {
						 $("#idparte").val(data.idparte);
							//MOSTRAR EL TAB DE TECNICOS. SE MOSTRARÁ CUANDO SE GUARDE EL PARTE
							$("#editarParte").rup_tabs("enableTabs",{
								idTab: "editarParte",
								position: 1
								});
						 $("#botoneraNuevo").show();
						 $("#botoneraGuardar").hide();
						bloquearCampos();
						
						//recoger las situación de partida del parte para controlar cambios
						formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");

					}else{
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
					}
				}
			};
	$("#nuevoParteForm").rup_form(properties);
	$("#nuevoParteForm").submit();
}



function modificarParte(){
	var properties={
			url:"../partes/modificarParte",
			feedback:$("#feedbackMensajesNuevo"),
			useJsonIfPossible: true,
			dataType:"json",
			error: function() {
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				},
			success: function(data){		
					if (data.idparte!=null) {
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
					}else{
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
					}
				}
			};
	$("#nuevoParteForm").rup_form(properties);
	$("#nuevoParteForm").submit();
	
}

function duplicarParte(){
	var properties={
			url:"../partes/agregarParteDuplicado",
			feedback:$("#feedbackMensajesNuevo"),
			useJsonIfPossible: true,
			dataType:"json",
			beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $("#dialogoGuardar").rup_dialog(
						{
							type : $.rup.dialog.DIV,
							height : 200,
							width : 500,
							modal : true,
							showLoading : true,
							autoOpen : false,
							title : $.rup.i18n.app.mensajesEdificios.guardando
						});
				$("#dialogoGuardar").rup_dialog("open");
		  },
			error: function() {
				$("#dialogoGuardar").rup_dialog("close");
				$("#dialogoGuardar").rup_dialog("destroy");
					$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			
				},
			success: function(data){	
				$("#dialogoGuardar").rup_dialog("close");
				$("#dialogoGuardar").rup_dialog("destroy");
					if (data.idparte!=null) {
						 $("#idparte").val(data.idparte);
						 $("#botoneraNuevo").show();
							//MOSTRAR EL TAB DE TECNICOS. SE MOSTRARÁ CUANDO SE GUARDE EL PARTE
							$("#editarParte").rup_tabs("enableTabs",{
								idTab: "editarParte",
								position: 1
								});

						 $("#botoneraGuardar").hide();
							bloquearCampos();
							$('#bt_guardar').attr("disabled", true);
							$('#bt_limpiar').attr("disabled", true);
							
							//recoger las situación de partida del parte para controlar cambios
							formParteModificado = $("#nuevoParteForm").rup_form("formSerialize");

					}else{
						$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");
					}
				}
			};
	$("#nuevoParteForm").rup_form(properties);
	$("#nuevoParteForm").submit();
}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}

function mostrarLocalizacion(valor){
	//alert ("mostrar localizzacion - codZona : " + codZona + " - codplanta : " + codPlanta);
	if (valor==1){
		$("#divOtroSitio").show();
		$("#divPuesto").hide();
		//Poner los valores seleccionados en los combos
		//$("#comboZonas").val(codZona);
		//$("#comboPlantas").val(codPlanta);
		
		$("#comboZonas").val($("#zonaPuesto").val());
		$("#comboPlantas").val($("#plantaPuesto").val());
		
		
		$("#comboZonas").rup_combo("select",codZona);
		$("#comboPlantas").rup_combo("select",codPlanta);
//		$("#idZona").val($("#comboZonas").val());
//		$("#idPlanta").val($("#comboPlantas").val());
		
		$("#idZona").val($("#zonaPuesto").val());
		$("#idPlanta").val($("#plantaPuesto").val());
		
	//	alert ("mostrar localizzacion - codZona : " + $("#idZona").val() + " - codplanta : " + $("#idPlanta").val());
		$("#imgBuscarEspacio").show();
	}else if (valor==0){
		$("#divOtroSitio").hide();
		$("#divPuesto").show();
		//Poner los valores que han venido de XLNET
		$('#comboZonas').rup_combo("setRupValue","");
		$('#comboPlantas').rup_combo("setRupValue","");
		
		$("#idZona").val(codZona);
		$("#idPlanta").val(codPlanta);
		
		$("#idespacio").val("");
		$("#idCEspacio").val("");
		$("#idEEspacio").val("");
		$("#textoEspacio").val("");
		$("#imgBuscarEspacio").hide();
	}
	//Ocultar el mapa y vaciar el campo que guarda el mapa
	var canvas = $('#canvaPunto')[0]; 
	canvas.width = canvas.width;
	$("#planoMarca").val("");
}

function obtenerDatosUsuarioIntroducido(event){
	vaciarMapa();

	mostrarLocalizacion(0);
	
	
 event.preventDefault();
	codPlanta="0";
	codZona="0";
	
	$("#feedbackMensajesNuevo").rup_feedback("close");
	//$("#nuevoParteForm").rup_form("clearForm");
	var param ={};
	param.usuarioIntroducido=$("#idUsuarioIntroducido").val();
	$("#idNombre").attr('disabled','disabled');
	$("#iddepar").attr('disabled','disabled');
	$("#idDireccion").attr('disabled','disabled');
	$("#idEdificio").attr('disabled','disabled');
	$.ajax({
	    type : 'POST',
	     url : "/aa20bMaqPartesWar/usuarioXLNET/obtenerUsuarioIntroducido" ,
	     data : param,
	     dataType : 'json',
	     async: true,
		error: function () {
	     	   //alert ("error");
	     	   $("#feedbackMensajesNuevo").rup_feedback("set", "Error al obtener datos de XLNET", "error");
	     	   $("#dialogoEspera").hide();
	     	   return;
	        },
		success: function (data){
			
			//Si no viene dato de edificio no se deja dar de alta un parte.
			if(data.codEdificio=="" || data.codEdificio == null){
				$("#dialogoEspera").hide();
				$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.nuevo.errorEdificio , "error");			
				return;
			}
			//Si el el codigo de edificio es 000000 no se deja dar de alta un parte.
			if(data.codEdificio == "000000"){
				$("#dialogoEspera").hide();
				$("#feedbackMensajesNuevo").rup_feedback("set", $.rup.i18n.app.nuevo.edificioNoValido , "error");			
				return;
			}

			
			$("#divContenido").show();
			$("#dialogoEspera").hide();
			$("#iddepar").val(data.codDpto);
			$("#idIddepar").val(data.codDpto);
			$("#idCdepar").val(data.dptoCas);
			$("#idEdepar").val(data.dptoEus);
			
			$("#iddireccion").val(data.codDireccion);
			$("#idIddir").val(data.codDireccion);
			$("#idCdir").val(data.direccionCas);
			$("#idEdir").val(data.direccionEus);
			$("#idCodestrUs").val(data.codEstrUs);
			$("#idDirIDdepart").val(data.codDpto);
			
			$("#idEdificio").val(data.codEdificio);
			$("#idCEdificio").val(data.edificioCas);
			$("#idEEdificio").val(data.edificioEus);
			$("#idCPlanta").val(data.plantaCas);
			$("#idEPlanta").val(data.plantaEus);
			$("#idCZona").val(data.zonaCas);
			$("#idEZona").val(data.zonaEus);
			
			if ($.rup_utils.capitalizedLang() =="Es") {	
				$("#txtDpto").val(data.dptoCas);
				$("#txtDireccion").val(data.direccionCas);
				$("#txtEdificio").val(data.edificioCas);
				//$("#comboEdificios").rup_combo("selectLabel", data.edificioCas); 
				$("#comboEdificios").rup_combo("select", ""+data.codEdificio); 
				$("#txtPlanta").val(data.plantaCas);
				$("#txtZona").val(data.zonaCas);
			}else{
				$("#txtDpto").val(data.dptoEus);
				$("#txtDireccion").val(data.direccionEus);
				$("#txtEdificio").val(data.edificioEus);
				//$("#comboEdificios").rup_combo("selectLabel", data.edificioEus);
				$("#comboEdificios").rup_combo("select", ""+data.codEdificio); 
				$("#txtPlanta").val(data.plantaEus);
				$("#txtZona").val(data.zonaEus);
			}	
			$("#idNombre").val(data.nomApel);
			$("#idTelefono").val(data.telefono);
			$("#idEmail").val(data.email);
			if (data.codPlanta != "" && data.codPlanta != null){
				codPlanta=data.codPlanta;
			}
			if (data.codZona != "" && data.codZona != null){
				codZona=data.codZona;	
			}
			
			$("#comboZonas").rup_combo("setRupValue",codZona); 
			$("#comboPlantas").rup_combo("setRupValue",codPlanta); 
			
			$("#idPlanta").val(data.codPlanta);	
			$("#idZona").val(data.codZona);
			
			$("#plantaPuesto").val(data.codPlanta);	
			$("#zonaPuesto").val(data.codZona);
			
			/*if (!isNaN(data.codPlanta)){
				$("#idPlanta").val(data.codPlanta);	
			}else{
				$("#idPlanta").val(0);
			}
			if (!isNaN(data.codZona)){
				$("#idZona").val(data.codZona);
			}else{
				$("#idZona").val(0);
			}*/

			$("#idUidPersona").val(data.uidPersona);

			//	cargarCanvas(data.codEdificio,codPlanta,codZona);
			
			//Vaciar el campo Estancia y ocultar la lupa de seleccionar estancia.
			jQuery('input:radio[name="rbLocalizacion"]').filter('[value="0"]').attr('checked', 'checked');
			$("#idespacio").val("");
			$("#idCEspacio").val("");
			$("#idEEspacio").val("");
			$("#textoEspacio").val("");
			
		}
	});
	
	
	//jQuery('input:radio[name="rbLocalizacion"]').filter('[value="0"]').attr('checked', 'checked');	
}

function btn_BuscarEspacios(){
	$("#idTablaEspacios").empty();
	//Obtener la lista de Espacios
	$.ajax({
		type: "POST",
		url: "../espacio/espaciosAlta/obtenerEspaciosAlta",
		success: function(data){
			var miselect=$("#idTablaEspacios");
			$("#idTablaEspacios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].cespacio;
              	} else {
              		descripcion = data[i].eespacio;
              	}
              	miselect.append('<option value="' + data[i].idespacio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});
	
	//Mostrar la ventana de lupaEspacios
	$("#lupaEspacios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$.rup.i18n.app.comun.espaciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaEspacios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto y el código del espacio seleccionado
	        		$("#idEspacio").val($("#idTablaEspacios option:selected").val());
	        		$("#textoEspacio").val($("#idTablaEspacios option:selected").html());
	        		
	        		$("#lupaEspacios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaEspacios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaEspacios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   	
}

function btn_BuscarCodigos(){
	$("#idTablaClases").empty();
	
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clasesAlta/obtenerClasesAlta",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].cclase;
              	} else {
              		descripcion = data[i].eclase;
              	}
              	if (data[i].idclase != "0") { // Para que no muestre el registro de "todas las clases"
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
              	}
             	}								  
			},
		  dataType: "json"
		});

	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigosAlta/obtenerCodigosAlta",
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].ccodigo;
              	} else {
              		descripcion = data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupaClases
	$("#lupaClases").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$.rup.i18n.app.comun.clasesActivosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaClases",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		sClase=$("#idTablaClases option:selected").html();
	        		sCodigo=$("#idTablaCodigos option:selected").html();
	        		//Pintar el texto de la clase y activo seleccionado
	        		$("#claseActivo").val(sClase);
	        		$("#activo").val(sCodigo);

	        		//Pintar el tecto de la clase y codigo seleccioando en los inputs para mandar por correo
	        		$("#idCClase").val(sClase);
	        		$("#idCCodigo").val(sCodigo);

	        		//Recoger los codigos de clase y activo seleccionado
	        		if (sClase != null) {
	        		sCodClase = $("#idTablaClases").val().split("@")[0];
	        		} else {
	        			sCodClase = null;
	        		}
	        		
	        		if (sCodigo !=null) {
	        		sCodCodigo = $("#idTablaCodigos").val().split("@")[1];
	        		} else {
	        			sCodCodigo = null;
	        		}
	        		
	        		$("#idClase").val(sCodClase);
	        		$("#idCodigo").val(sCodCodigo);
	        		
	        		//Si el código de parte es URGENTE chequear el campo Urgente 
		      		  $.ajax({
		    			  type: "POST",
		    			  url: "../codigo/codigoParteEsUrgente",
		    			  data:  { idCodigo:sCodCodigo},
		    			  success: function(data){
		    					  if (data==true){
		    						  //El código de Parte es urgente
		    						  $("#urgente").prop("checked", true);
		    					  }else{
		    						//El código de Parte NO es urgente
		    						  $("#urgente").prop("checked", false);
		    					  }
		    					  },
		    						 error: function(data){
		    							 alert( data);
		    						 },
		    					  dataType: "json"
		    					});
	        		
	        		$("#lupaClases").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaClases",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaClases").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   
}
function obtenerCodigosClase(valor){

	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigosAlta/obtenerCodigosAltaClase",
		  data:  { claseSel:valor },
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = data[i].ccodigo;
              	} else {
              		descripcion = data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	sClase=$("#idTablaClases option:selected").html();
	
	var claseCodigo= valor; //Original Text
	var partes= claseCodigo.split('@');
	sCodClase = partes[0];
	
}
function obtenerClaseCodigo(valor){
	var claseCodigo= valor; //Original Text

	var partes= claseCodigo.split('@');
	var clase = partes[0];
	var codigo= partes[1];
	
	sCodigo=$("#idTablaCodigos option:selected").html();
	sCodCodigo=codigo;
	//Marcar clase asociada al activo	
	$("#idTablaClases option[value="+ clase +"]").attr("selected",true);
	sClase=$("#idTablaClases option:selected").html();
	sCodClase=clase;
}


/******************************* COMPONENTE UPLOAD ***************************************/
$('#editarParte').rup_upload({
	fileInput: $("#planoMarca"),
	maxFileSize: 5000000,
	submitInForm:true
	});

$('#editarEdificio').rup_upload({
	fileInput: $("#pdfAdjunto"),
	maxFileSize: 5000000,
	submitInForm:true
	});



/******************************* MANEJO DEL CANVAS y PLANO ***************************************/

function getPos(e){
    var ev=e || window.event;
    var obj=ev.target || ev.srcElement;
    obj.style.position='relative'; 
    posX=ev.layerX || ev.offsetX || 0;
    posY=ev.layerY || ev.offsetY || 0;
    return {x:posX,y:posY};
}  

function marcarX(e){
	pos=getPos(e);
	pintarX(pos.x,pos.y);
}

function cargarCanvasPlanoCorto(){
	
	var canvasGrande; 
	canvasGrande=document.getElementById("canvaPlano1");
	
	 cPunto = document.getElementById("canvaPunto");
	 ctxPunto = cPunto.getContext("2d");
	
	planoBase = new Image();
	ctxPunto.clearRect( 0, 0, 300, 240);
	ctxPunto.drawImage(canvasGrande, 0, 0, 300, 240);
}

function btn_cargarPlano(){

	var idParteA =$("#idparte").val();
	//Si estamos en NUEVO PARTE se carga el plano del edificio, zona y planta seleccionado
	//Si estamos editando un parte se carga el plano (si existe) con el punto rojo que se generó en el momento de darlo de alta
	if (accion == "NUEVO") {
		cargarPlanoEdificio();
	}else{
		//Comprobar si el parte ya tiene un plano guardado.
		  $.ajax({
			  type: "POST",
			  url: "../parteplano/parteTienePlano",
			  data:  { idParte:idParteA},
			  success: function(data){
					  if (data==true){
						  //Tiene plano seleccionado.
						  cargarZoomPlanoAsociado();
					  }else{
						  cargarPlanoEdificio();
					  }
					  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
	}


}

function cargarPlanoEdificio(){

	
	var codEdif = $("#idEdificio").val();
	var codPlanta = $("#idPlanta").val();
	var codZonaP = $("#idZona").val();
	
	//Obtener el plano para ese edificio zona y planta y los planos hijos si los tuviera  
	$.ajax({
		type: "GET",
		url: "../planos/obtenerListaPlanos",
		data:  { codEdif:codEdif, codPlanta:codPlanta, codZona:codZonaP },
		success: function(data){
			//Si no hay ningun registro no pintar el icono para mostrar el plano
			if (data.length==0){
				$.rup_messages("msgAlert", { 
		 			title: $.rup.i18n.app.comun.control,
			 		message: $.rup.i18n.app.nuevo.noHayPlano
			 	});
			}else{
				//Si solamente hay un registro-->se trata de un plano final. Se podrá marcar un punto rojo en el plano
				if (data.length==1){
					planoFinal=true;
				}else{
					planoFinal=false;
					//Si hay mas de un registro-->se trata de un plano intermedio. cogeremos las coordenadas de los planos hijos
					for (var i = 0; i < data.length; i++) {
					    var valor = {idplano:data[i].idplano, coordX: data[i].ejexdesde, coordY:data[i].ejeydesde};
					    arrayPlanos.push(valor);
					}
				}
				//Abrimos la ventana y cargamos el plano
				cargarZoomPlano(codEdif,codPlanta, codZonaP);
			}
		},
		  dataType: "json"
		});


}


function cargarZoomPlanoAsociado(){
	//Mostrar la ventana de lupa del plano
	$("#lupaPlano").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:750,
        width:850,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[
	        {
	    		id: "cerrarLupaPlano",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaPlano").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	 cPunto = document.getElementById("canvaPlano1");
	 ctxPunto = cPunto.getContext("2d");
	
	 planoLupa = new Image();
	 planoLupa.onload=function(){
		 ctxPunto.clearRect( 0, 0, 800, 640);
			ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
	};
	planoLupa.src="../parteplano/mostrarPlanoParte?idParte=" + $("#idparte").val();


}

function cargarZoomPlano(codEdif,codPlanta, codZona){
	//Mostrar la ventana de lupa del plano
	$("#lupaPlano").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:750,
        width:850,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaPlano",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		
	        		//Copiar la imagen del plano grande al corto
	        		cargarCanvasPlanoCorto();
	        		
	        		$("#lupaPlano").rup_dialog("close");
	        		
	        	}
        	},
	        {
	    		id: "cerrarLupaPlano",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaPlano").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
		//cultamos el botón de aceptar y solo se mostrará cuando estemos en Alta de Parte y se haya hecho click en alguna parte del plano. 
		//Para que no se guarden en la base de datos planos sin pinchar
		$("#aceptarLupaPlano").hide();	
	
	cargarCanvasLupa(codEdif,codPlanta, codZona);
}
	
function cargarCanvasLupaIDPlano(idPlano){
	
	 cPunto = document.getElementById("canvaPlano1");
	 ctxPunto = cPunto.getContext("2d");
	
	 planoLupa = new Image();
	 planoLupa.onload=function(){
		 ctxPunto.clearRect( 0, 0, 800, 640);
			ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
	};
	planoLupa.src="../planos/cargarPlano?idPlano=" + idPlano;
	
}

function cargarCanvasLupa(codEdif,codPlanta, codZona){
	
	 cPunto = document.getElementById("canvaPlano1");
	 ctxPunto = cPunto.getContext("2d");
	
	 planoLupa = new Image();
	 planoLupa.onload=function(){
		 ctxPunto.clearRect( 0, 0, 800, 640);
			ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
	};
	planoLupa.src="../planos/mostrarPlano?edificio=" + codEdif + "&planta=" + codPlanta + "&zona=" + codZona;

}

function cargarCanvas(codEdif,codPlanta,codZona){
	
	if(planoBase==null){
		 cPunto = document.getElementById("canvaPunto");
		 ctxPunto = cPunto.getContext("2d");
		
		planoBase = new Image();
		planoBase.onload=function(){
			 ctxPunto.clearRect( 0, 0, 300, 240);
				ctxPunto.drawImage(planoBase, 0, 0, 300, 240);
		};
		planoBase.src="../planos/mostrarPlano?edificio=" + codEdif + "&planta=" + codPlanta + "&zona=" + codZona;
	}
	
	
}


function obtenerPlano(){
	var planoParte=null;

	cPunto = document.getElementById("canvaPunto");
	ctxPunto = cPunto.getContext("2d");
	
	planoParte = new Image();
	planoParte.onload=function(){
		ctxPunto.clearRect( 0, 0, 300, 240);
		ctxPunto.drawImage(planoParte, 0, 0, 300, 240);
	};
	planoParte.src="../parteplano/mostrarPlanoParte?idParte=" + $("#idparte").val();
	
}

function pintarX(x,y){

    //Si estamos en nuevo parte habilitamos el botón de Aceptar para que se pueda guardar la posición marcada
    if (accion == "NUEVO") {
    	$("#aceptarLupaPlano").show();	

		ctxPunto.clearRect( 0, 0, 800, 640);
		ctxPunto.drawImage(planoLupa, 0, 0, 800, 640);
		ctxPunto.fillStyle="#FF0000";
		ctxPunto.beginPath(); 
		ctxPunto.arc(x, y, 10, 0, 2 * Math.PI, true); 
		ctxPunto.fill();
		
		var canvas; 
		canvas=document.getElementById("canvaPlano1");
		var url = canvas.toDataURL();
		 var byteString;
		 if (url.split(',')[0].indexOf('base64') >= 0) {
		     byteString = url.split(',')[1];
		 } 
		 
		 //Metemos la imagen en el input que se va a enviar para guardar en base de datos la imagen
		$("#planoMarca").val(byteString);
    }
}

function btn_quitarAdjunto(){
	var fileInput = $("pdfAdjunto");
	var clon = fileInput.clone();
	fileInput.replaceWith(clon);
	$("#pdfAdjunto").val("");
}

/******************************* AYUDA ***************************************/
function openHelp(){
	abrirAyudaInicio();
}
/******************************* AYUDA ***************************************/
